[subversion-commit] SVN lmodern commit + diffs: r1394 - lmodern/trunk/debian

Florent Rougon frn at costa.debian.org
Sat May 27 18:24:44 UTC 2006


Author: frn
Date: 2006-05-27 18:24:43 +0000 (Sat, 27 May 2006)
New Revision: 1394

Modified:
   lmodern/trunk/debian/changelog
   lmodern/trunk/debian/control
   lmodern/trunk/debian/lmodern.preinst
   lmodern/trunk/debian/rules
Log:
  * lmodern.scale is back to /etc/X11/fonts/Type1/ because the location
    /etc/X11/fonts/X11R7 is deprecated (see debhelper's changelog for
    version 5.0.35 and bugs #366234 and #364530).
  * Build-Depend on debhelper (>= 5.0.35) because it seems to be needed by
    the aforementioned change.
  * Bump Standards-Version to 3.7.2 (the needed changes were already
    implemented in 0.99.3-3).


Modified: lmodern/trunk/debian/changelog
===================================================================
--- lmodern/trunk/debian/changelog	2006-05-27 17:29:58 UTC (rev 1393)
+++ lmodern/trunk/debian/changelog	2006-05-27 18:24:43 UTC (rev 1394)
@@ -1,3 +1,15 @@
+lmodern (0.99.3-4) unstable; urgency=low
+
+  * lmodern.scale is back to /etc/X11/fonts/Type1/ because the location
+    /etc/X11/fonts/X11R7 is deprecated (see debhelper's changelog for
+    version 5.0.35 and bugs #366234 and #364530).
+  * Build-Depend on debhelper (>= 5.0.35) because it seems to be needed by
+    the aforementioned change.
+  * Bump Standards-Version to 3.7.2 (the needed changes were already
+    implemented in 0.99.3-3).
+
+ -- Florent Rougon <frn at debian.org>  Sat, 27 May 2006 20:02:44 +0200
+
 lmodern (0.99.3-3) unstable; urgency=low
 
   * Transition from XFree86 to X.org (Closes: #362330):

Modified: lmodern/trunk/debian/control
===================================================================
--- lmodern/trunk/debian/control	2006-05-27 17:29:58 UTC (rev 1393)
+++ lmodern/trunk/debian/control	2006-05-27 18:24:43 UTC (rev 1394)
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian teTeX maintainers <debian-tetex-maint at lists.debian.org>
 Uploaders: Julian Gilbey <jdg at debian.org>, C.M. Connelly <cmc at debian.org>, Atsuhito KOHDA <kohda at debian.org>, Frank Küster <frank at debian.org>, Florent Rougon <frn at debian.org>, Norbert Preining <preining at logic.at>
-Build-Depends: debhelper (>= 5.0.31)
+Build-Depends: debhelper (>= 5.0.35)
 Build-Depends-Indep: defoma (>= 0.7.0), tex-common (>= 0.16)
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: lmodern
 Section: tex

Modified: lmodern/trunk/debian/lmodern.preinst
===================================================================
--- lmodern/trunk/debian/lmodern.preinst	2006-05-27 17:29:58 UTC (rev 1393)
+++ lmodern/trunk/debian/lmodern.preinst	2006-05-27 18:24:43 UTC (rev 1394)
@@ -120,8 +120,10 @@
 
 config_move ()
 {
-    oldfile="$1"
-    newloc="$2"
+    mode="$1"
+    oldfile="$2"
+    newloc="$3"
+
     originalmd5sum=$(dpkg_md5sum "$oldfile")
 
     if ! [ -r $oldfile ] ; then
@@ -129,6 +131,8 @@
     fi
     oldloc=$(dirname "$oldfile")
     installedmd5sum=$(md5sum "$oldfile" |  cut -d ' ' -f 1)
+
+    # Take care of $oldfile
     if [ "$originalmd5sum" = "$installedmd5sum" ] ; then
         echo "Removing obsolete, unchanged conffile $oldfile"
         rm "$oldfile"
@@ -136,12 +140,26 @@
         if [ -z "$newloc" ] ; then
             echo "Conffile $oldfile was changed, leaving it at the same place"
         else
-            echo "Conffile $oldfile was changed, moving it to new location $newloc"
+            echo "Conffile $oldfile was changed, moving it to new location" \
+                "$newloc"
             mkdir -p "$newloc"
             mv "$oldfile" "$newloc"
         fi
     fi
-    test -d "$oldloc" && rmdir --ignore-fail-on-non-empty "$oldloc" || true
+
+    # Optionally remove the $oldloc directory (depending on $mode)
+    case "$mode" in
+        remove_dir)
+            test -d "$oldloc" && \
+                rmdir --ignore-fail-on-non-empty "$oldloc" || true
+            ;;
+        keep_dir)
+            ;;
+        *)
+            echo "Wrong usage of config_move(): \$1 = '$mode'" >&2
+            exit 1
+            ;;
+    esac
 }
 
 
@@ -167,14 +185,25 @@
     # lm.map is still in /etc/texmf/map/dvips/lm/.
     if dpkg --compare-versions "$2" gt 0.92-7 \
         && dpkg --compare-versions "$2" lt 0.99.3-1; then
-	config_move /etc/texmf/map/dvips/lm/lm.map \
-                    /etc/texmf/fonts/map/dvips/lm/
+	config_move remove_dir /etc/texmf/map/dvips/lm/lm.map \
+            /etc/texmf/fonts/map/dvips/lm
     fi
 
     # People who installed lmodern 0.92-7 in the same apt run that was doing
     # the teTeX 2 to teTeX 3 upgrade may have this file lying around (see bug
     # #334658).
     rm -f /etc/texmf/dvips/lm.map.dpkg-new
+
+    # lmodern 0.99.3-3 moved lmodern.scale to /etc/X11/fonts/X11R7/Type1/
+    # because that was required by X.org, but the latter quickly reverted to
+    # the old location /etc/X11/fonts/Type1; so, let's move
+    # /etc/X11/fonts/X11R7/Type1/lmodern.scale back to /etc/X11/fonts/Type1 if
+    # upgrading from 0.99.3-3.
+    if [ "$2" = 0.99.3-3 ]; then
+	config_move keep_dir /etc/X11/fonts/X11R7/Type1/lmodern.scale \
+            /etc/X11/fonts/Type1
+    fi
+    
 fi
 
 case "$1" in

Modified: lmodern/trunk/debian/rules
===================================================================
--- lmodern/trunk/debian/rules	2006-05-27 17:29:58 UTC (rev 1393)
+++ lmodern/trunk/debian/rules	2006-05-27 18:24:43 UTC (rev 1394)
@@ -112,7 +112,7 @@
           usr/share/texmf/tex/latex/lm \
           usr/share/doc/texmf/fonts/lm \
           usr/share/doc/$(PKG)/font-substitution \
-          etc/X11/fonts/X11R7/Type1 \
+          etc/X11/fonts/Type1 \
           usr/share/fonts/X11/Type1
 
         # Note: we won't install the PFM files because we already have the
@@ -140,7 +140,7 @@
           "debian/$(PKG).fontlist-x11" >> "debian/$(PKG).links"
 
 	$(INSTALL_FILE) "debian/$(PKG).scale" \
-          "$(REL_PKG_INSTALL_DIR)/etc/X11/fonts/X11R7/Type1"
+          "$(REL_PKG_INSTALL_DIR)/etc/X11/fonts/Type1"
 	dh_installxfonts
 
 	$(INSTALL_FILE) fonts/tfm/public/lm/*.tfm \




More information about the Pkg-tetex-commits mailing list